library(stockassessment)
setwd("run")
load("data.RData")
conf<-loadConf(dat,"../conf/model.cfg", patch=TRUE)

#standard run
par<-defpar(dat,conf)
par$logFpar[] <- 0
mymap = list()
issb = length(par$logFpar)
mymap$logFpar = 1:issb
mymap$logFpar[issb] <- NA
mymap$logFpar <- factor(mymap$logFpar)
par$logFpar[issb] <- log(1)  ## fix Q=1, log(1)


issb = length(par$logSdLogObs)
mymap$logSdLogObs <- 1:issb
mymap$logSdLogObs[issb] <- NA
mymap$logSdLogObs <- factor(mymap$logSdLogObs)
par$logSdLogObs[issb] <- log(.6) ## fix CV = 0.4


# run with Q fixed to 1
#conf$keyLogFpar[3,1] <- -1
#par <- defpar(dat,conf)
#par$logFpar[] <- 0 #i.e. fix to one, log(0)

# run with Q fixed to 1 and power estimated 
#conf$keyLogFpar[3,1] <- -1
#conf$keyQpow[3,1] <- 0
#par <- defpar(dat,conf)
#par$logFpar[] <- 0 #i.e. fix to one, log(0)

#fit<-sam.fit(dat,conf,par, map=mymap)
fit<-sam.fit(dat,conf,par, map=mymap)
if(fit$opt$convergence!=0) stop("Model did not converge.")
save(fit, file="model.RData")
